## org.codehaus.groovy.grails.orm.hibernate.cfg
Class GORMSessionFactoryDefinitionParser

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.GORMSessionFactoryDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

    public class GORMSessionFactoryDefinitionParser

extends Object
implements BeanDefinitionParser

A BeanDefinitionParser that will scan for GORM entities to configure and automatically setup an appropriate Hibernate SessionFactory for usage with GORM. Example in XML:

              config-location="classpath:hibernate.cfg.xml"
              config-class="org.codehaus.groovy.grails.orm.hibernate.cfg.GrailsAnnotationConfiguration"
     >

Since:
  1.1

  Created: Jan 16, 2009
Author:
  Graeme Rocher
See Also:
  `BeanDefinitionParser`

Constructor Summary
`GORMSessionFactoryDefinitionParser()`

Method Summary
`BeanDefinition` `parse(Element element, ParserContext parserContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GORMSessionFactoryDefinitionParser

    public GORMSessionFactoryDefinitionParser()

Method Detail

### parse

    public BeanDefinition parse(Element element,
                                ParserContext parserContext)

  Specified by:
    `parse` in interface `BeanDefinitionParser`

Copyright (c) 2005-2009 The Grails project